%global _hardened_build 1

Summary:        handle DNS NOTIFY messages by running a command
Name:           nsnotifyd
Version:        1.6
Release:        2%{?dist}
Epoch:          0
License:        CCO 1.0
Group:          System Environment/Daemons
URL:            http://dotat.at/prog/nsnotifyd/
Source0:        http://dotat.at/prog/%{name}/%{name}-%{version}.tar.gz
Source1:        nsnotifyd.service
Source2:        nsnotifyd
Patch0:         nsnotifyd-1.6-disable-soa-check.patch

BuildRequires:  systemd-units
BuildRequires:  systemd-devel
BuildRequires:  gcc

%description
The nsnotifyd daemon monitors a set of DNS zones and runs a command when any of
them change. It listens for DNS NOTIFY messages so it can respond to changes
promptly. It also uses each zone's SOA refresh and retry parameters to poll for
updates if nsnotifyd does not receive NOTIFY messages more frequently.

%prep
%setup -q
%patch0 -p1 -b .disable-soa-check

%build
./configure
make %{?_smp_mflags}

%install
make prefix=%{buildroot}/usr install

install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/nsnotifyd.service
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/nsnotifyd

%pre
getent group nsnotifyd >/dev/null || groupadd -r nsnotifyd
getent passwd nsnotifyd >/dev/null || \
    useradd -r -g nsnotifyd -d / -s /sbin/nologin \
    -c "nsnotifyd user" nsnotifyd
exit 0

%post
%systemd_post nsnotifyd.service

%preun
%systemd_preun nsnotifyd.service

%postun
%systemd_postun_with_restart nsnotifyd.service

%files
%config(noreplace) %{_sysconfdir}/sysconfig/nsnotifyd
%defattr(-,root,root,-)
%doc README.md
%{_unitdir}/nsnotifyd.service
%{_bindir}/nsnotify
%{_bindir}/nsnotify-liststealth
%{_bindir}/nsnotify2git
%{_bindir}/nsnotify2stealth
%{_bindir}/nsnotify2update
%{_bindir}/nsnotifyd
%{_mandir}/man1/metazone.1.gz
%{_mandir}/man1/nsnotify.1.gz
%{_mandir}/man1/nsnotifyd.1.gz
%{_mandir}/man5/metazone.5.gz

%changelog
* Thu Aug 08 2019 Kees Monshouwer <mind04@monshouwer.org> 0.6-2
- Add disable SOA check patch

* Thu Aug 08 2019 Kees Monshouwer <mind04@monshouwer.org> 0.6-1
- Initial build for version 0.6
